<?php
  // utworzenie krótkich nazw zmiennych
  $document_root = $_SERVER['DOCUMENT_ROOT'];
?>
<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />
    <title>Części samochodowe Janka - Zamówienia klientów</title>

    <style type="text/css">
    table, th, td {
      border-collapse: collapse;
      border: 1px solid black;
      padding: 6px;
    }

    th {
      background: #ccccff;      
    }
    </style>

  </head>
  <body>
    <h1>Części samochodowe Janka</h1>
    <h2>Zamówienia klientów</h2> 

    <?php
      // Odczytanie całego pliku
      // Każde zamówienie staje się elementem tablicy
      $zamowienia= file("$document_root/../zamowienia/zamowienia.txt");
    
      // Odczytanie liczby elementów w tablicy
      $ilosc_zamowien = count($zamowienia);
    
      if ($ilosc_zamowien == 0) {
        echo "<p><strong>Brak zamówień.<br />
              Proszę spróbować później.</strong></p>";
      }
    
      echo "<table>\n";
      echo "<tr>
              <th>Data zmówienia</th>
              <th>Opony</th>
              <th>Olej</th>
              <th>Świece zapłonowe</th>
              <th>Suma</th>
              <th>Adres</th>
            <tr>";
    
      for ($i=0; $i<$ilosc_zamowien; $i++) {
        // Rozdzielenie każdego wiersza na elementy
        $linia = explode("\t", $zamowienia[$i]);
    
        // Zapamiętanie wyłącznie liczby zamówionych produktów
        $linia[1] = intval($linia[1]);
        $linia[2] = intval($linia[2]);
        $linia[3] = intval($linia[3]);
    
        // Wyświetlenie każdego zamówienia
        echo "<tr>
              <td>".$linia[0]."</td>
              <td style=\"text-align: right;\">".$linia[1]."</td>
              <td style=\"text-align: right;\">".$linia[2]."</td>    
              <td style=\"text-align: right;\">".$linia[3]."</td>
              <td style=\"text-align: right;\">".$linia[4]."</td>
              <td>".$linia[5]."</td>
          </tr>";
      }    
      echo "</table>";
    ?>
  </body>
</html>
